package fixedCode;
import javax.swing.JOptionPane;

public class ConfigurationParameterDialogBoxes {
	private static String[] physicalMemorySizeChoices = { 
		"4", "8", "16", "32", "64", "128", "256", "512" };

	private static final String[] frameSizeChoices = {
		"4", "8", "16", "32", "64", "128", "256", "512" };

	private static String lastPhysicalMemory = physicalMemorySizeChoices[3];
	private static String lastFrameSize = frameSizeChoices[0];

	private static void updatePhysicalMemorySizeChoices()
	{
		int frameSize = Integer.parseInt(lastFrameSize);
		int entrySize = (512*1024 / (frameSize*1024))-1;
		physicalMemorySizeChoices = new String[entrySize];
		for (int index = 0; index < entrySize; index++)
		{
			physicalMemorySizeChoices[index] = ""+(frameSize*(index+2));
			if (physicalMemorySizeChoices[index].equalsIgnoreCase(lastPhysicalMemory))
			{
				lastPhysicalMemory = physicalMemorySizeChoices[index];
			}
		}
	}
	
	public static int getPhysicalMemorySize() {
		updatePhysicalMemorySizeChoices();
		String input = (String) JOptionPane.showInputDialog(null,
				
				"Enter the physical RAM in KB.", "Total Physical Memory Size...",JOptionPane.QUESTION_MESSAGE,
				null, // Use
				// default
				// icon
				physicalMemorySizeChoices, // Array of choices
				lastPhysicalMemory); // Initial choice
		
		if (input == null)
		{
			return -1;
		}
		lastPhysicalMemory = input;
		return Integer.parseInt(input);
	}

	public static int getFrameSize() {

		String input = (String) JOptionPane.showInputDialog(null, 
				"Enter the frame size for your system in KB.","Frame Size",
				JOptionPane.QUESTION_MESSAGE, null, // Use
				// default
				// icon
				frameSizeChoices, // Array of choices
				lastFrameSize); // Initial choice
		if (input == null)
		{
			return -1;
		}
		lastFrameSize = input;
		return Integer.parseInt(input);
	}
}
