package fixedCode;
import java.awt.Label;
import java.util.LinkedList;

public class GatedLabel extends Label {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String myText;
	private static boolean inhibitUpdates = false;
	
	private static LinkedList<GatedLabel> myInstances = new LinkedList<GatedLabel>();
	
	public static void inhibitAllUpdates()
	{
		inhibitUpdates=true;
	}
	
	public static void allAllUpdates()
	{
		inhibitUpdates=false;
	}
	
	public static void refreshAll()
	{
		for (GatedLabel g : myInstances)
		{
			g.reSync();
		}
	}

	public GatedLabel() {
		super();
		this.myText = "";
		myInstances.add(this);

	}

	public GatedLabel(String text) {
		super(text);
		this.myText = text;
		myInstances.add(this);
	}

	public GatedLabel(String text, int alignment) {
		super(text, alignment);
		this.myText = text;
		myInstances.add(this);
	}


	
	public void reSync()
	{
		super.setText(this.myText);
	}

	public void setText(String text) {
		this.myText = text;
		if (inhibitUpdates == false) {
			super.setText(text);
		}
	}
	
	public String getText()
	{
		return this.myText;
	}

	
}
