package fixedCode;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintStream;
import java.util.Scanner;

/**
 * This class will merge a set of address traces together to make a single set
 * of multiplexed address traces. The traces will be merged in a round robin
 * fashion.
 * 
 * @author schilling
 * 
 */
public class MergeTraces {

	public static void main(String[] args) {
		if (args.length < 3) {
			System.err
					.println("Usage: java -jar merageTraces <traces per file> <output filename> <input file1> <input file 2> . . .");
			System.exit(0);
		}

		File files[] = new File[args.length - 2];
		Scanner scanners[] = new Scanner[args.length - 2];
		int lineCountPerFile = Integer.parseInt(args[0]);
		File out = new File(args[1]);
		PrintStream os;
		try {
			os = new PrintStream(out);

			try {
				// Open the files
				for (int index = 2; index < args.length; index++) {
					files[index - 2] = new File(args[index]);
					scanners[index - 2] = new Scanner(files[index - 2]);
				}

				boolean done = false;

				do {
					for (int lc = 0; lc < scanners.length; lc++) {
						for (int count = 0; count < lineCountPerFile; count++) {
							if (scanners[lc].hasNext() == true) {
								String text = scanners[lc].nextLine();
								os.println(text);
							}
						}
					}
					done = true;
					for (int lc = 0; lc < scanners.length; lc++) {
						if (scanners[lc].hasNext() == true) {
							done = false;
						}
					}
				} while (done == false);

				for (int lc = 0; lc < scanners.length; lc++) {
					scanners[lc].close();
				}
				os.close();

			} catch (FileNotFoundException e) {
				System.err.println("Unable to open file for writing.");
				System.exit(-1);
			}

		} catch (FileNotFoundException ex) {
			System.err.println("Unable to find file:" + ex.getMessage());
			System.exit(-1);
		}

	}

}
