package fixedCode;
import java.util.ArrayList;


public class PerformanceTimer {
	private long lastTimestamp;
	private long now;
	private ArrayList<Long> durations;
	
	public PerformanceTimer()
	{
		durations = new ArrayList<Long>();
		lastTimestamp = System.currentTimeMillis();
	}
	
	public void reset()
	{
		durations.clear();
		lastTimestamp = System.currentTimeMillis();
	}
	
	public void recordSnapshot()
	{
		now = System.currentTimeMillis();
		durations.add(now-lastTimestamp);
		lastTimestamp = now;
	}
	
	public void printTimes()
	{
		for (Long l : durations)
		{
			System.out.print(l + "\t");
		}
		System.out.println();
	}
}
